import request from '@/utils/request'
import Qs from 'qs'

export function listMessage(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.message',
      _mt: 'list',
      ...query
    }
  })
}

export function createMessage(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.message',
      _mt: 'create',
      ...data
    })
  })
}

export function updateMessage(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.message',
      _mt: 'edit',
      ...data
    })
  })
}

export function deleteMessage(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.message',
      _mt: 'delete',
      id: id
    }
  })
}
